Home of the Squeezebox™ & Transporter® network music players.
Page 29 of 46 FirstFirst ... 19272829303139 ... LastLast
Results 281 to 290 of 451
  1. #281
    Senior Member
    Join Date
    Feb 2008
    Location
    UK
    Posts
    109
    hi mate using LMS and Squeezelite-X client

    I see the below alot

    Code:
    [20-07-02 12:58:57.3065] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmo’s Radio 2
    [20-07-02 12:59:57.4701] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmo’s Radio 2
    [20-07-02 13:00:57.3185] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmo’s Radio 2
    
    [20-07-03 09:43:56.2789] Slim::Player::Pipeline::new (44) Error: Couldn't create listen socket for reader: Invalid argument
    [20-07-03 09:43:56.2792] Slim::Player::Song::open (600) Error: Invalid argument: While creating conversion pipeline for: spotify://track:5GorFaKkP2mLREQvhSblIg
    
    
    [20-07-03 10:53:12.7246] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmo’s Radio 2
    [20-07-03 10:54:12.7154] Plugins::Spotty::API::__ANON__ (1431) API call: me/player/devices
    [20-07-03 10:54:12.7157] Plugins::Spotty::API::__ANON__ (1435) error: 429 unknown
    [20-07-03 10:54:12.7165] Plugins::Spotty::API::error429 (1493) Access Rate limit exceeded for: me/player/devices; retry after 1 seconds.
    Last edited by Blue Fishey; 2020-07-03 at 03:11.

  2. #282
    Junior Member
    Join Date
    May 2020
    Location
    Germany
    Posts
    12
    Quote Originally Posted by mherger View Post
    > Here is the link:
    > https://open.spotify.com/playlist/37...1EfXt1u1empPSN


    Thanks! That's indeed a bug in Spotty. I think I have a fix for playing
    this from the Spotty menu, don't know yet about the "My Music" import,
    though. Stay tuned!

    --

    Michael
    Hello Michael,
    I have updated today on Spotty 4.2.0. .
    Now Daily Drive runs on all devices.
    Thank you for fixing.
    Player-Modell: Squeezebox Radio Firmware: 7.7.3-r16676
    Player-Modell: Squeezebox Touch Firmware: 7.8.0-r16754
    Player-Modell: Squeezebox Duet ReceiverFirmware: 77
    Logitech Media Server Version: 8.0.0 - 1588308753 @ Fri May 1 07:25:27 CEST 2020
    Server: DS718+ Betriebssystem: Synology DSM 6.2.2 - DE - utf8
    Plattformarchitektur: x86_64-linux
    Custom Clock Helper (v2.11.94)
    Spotty (v4.2.0)

  3. #283
    Senior Member
    Join Date
    Apr 2005
    Location
    Milan, Italy
    Posts
    637

    Songs skipping to the next one in playlist after a while...

    Tried Spotty with Squeezebox Server 7.9.3 - 1579195498 @ Thu Jan 16 21:08:22 WEST 2020 on Windows 10 Pro x64.
    Now, I use squeezelite installed on the same machine, to listen on headphones while at my desk. Squeezelite is latest release 1.9.7-1256 available.

    When I listen to Spotify songs play just fine for a little while, more than a minute, less than two usually.
    And then in logs I see stuff like this:
    Code:
    [20-07-04 02:19:44.0013] Slim::Player::StreamingController::_eventAction (270) bc:5f:f4:bf:3e:70: StatusHeartbeat in PLAYING-STREAMING -> Slim::Player::StreamingController::_CheckSync
    [20-07-04 02:19:44.6747] Slim::Player::Source::_readNextChunk (349) Read to end of file or pipe
    [20-07-04 02:19:44.6749] Slim::Player::Source::_readNextChunk (372) end of file or error on socket, song pos: 154085619
    [20-07-04 02:19:44.6751] Slim::Player::Source::_readNextChunk (377) bc:5f:f4:bf:3e:70 mark end of stream
    And playbacks skips to the next song in playlist, rinse and repeat.

    Any idea on why? Might it have something to do with Don't Stop the Music plugin? Before I activated it with "Spotify Recommendations (based on the current playlist)" option and it behaved like above. Now I've set it up for "LastMix (local music files only)" and Spotty appears not to skip anymore. Note that I was and I am playing long playlists, so Don't Stop the Music shouldn't have really interacted with the playlist but still... third song now and it's not skipping.



    Extra question: Also... I launch squeezelite with these arguments: "-n Headphones -s Music -c flac,pcm,mp3,ogg,aac,wma,dsd -o 17 -a :1". Last argument is for bitperfect playback through WASAPI exclusive. But the thing that I don't understand is why I see SB Server transcoding to flac when the player is configured to handle ogg natively. Operatively it doesn't change a thing, but I'm curious...
    Last edited by gorman; 2020-07-03 at 18:31. Reason: Thought the problem was more widespread and I edited to ask to ignore. But it appears as I described originally so this post is valid.

  4. #284
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,460

    [Announce] Spotty 4.0 - integrate locallibrary with your Spotify collection (LMS 8+)

    > Also... I launch squeezelite with these arguments: "-n Headphones -s
    > Music -c flac,pcm,mp3,ogg,aac,wma,dsd -o 17 -a :1". Last argument is for
    > bitperfect playback through WASAPI exclusive. But the thing that I don't
    > understand is why I see SB Server transcoding to flac when the player is
    > configured to handle ogg natively. Operatively it doesn't change a
    > thing, but I'm curious...


    I'd actually recommend you run squeezelite with the simplest parameters
    possible. Quite often tweaking formats and buffers doesn't play nicely
    with Spotty (in particular in Connect mode).

    --

    Michael

  5. #285
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    6,126
    Quote Originally Posted by gorman View Post
    Extra question: Also... I launch squeezelite with these arguments: "-n Headphones -s Music -c flac,pcm,mp3,ogg,aac,wma,dsd -o 17 -a :1". Last argument is for bitperfect playback through WASAPI exclusive. But the thing that I don't understand is why I see SB Server transcoding to flac when the player is configured to handle ogg natively. Operatively it doesn't change a thing, but I'm curious...
    Are you sure vorbis codec is installed on your system? If you set conversion log to info you will see exactly whatís going in terms of transcoder choices
    LMS 7.9 on Pi 3B+ & Odroid-C2 - SqueezeAMP!, 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB3. Sonos PLAY:3, PLAY:5, Marantz NR1603, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, Squeezelite on Pi, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5, Riva 1 & 3

  6. #286
    Senior Member ralphy's Avatar
    Join Date
    Jan 2006
    Location
    Canada
    Posts
    2,590
    Quote Originally Posted by philippe_44 View Post
    Are you sure vorbis codec is installed on your system? If you set conversion log to info you will see exactly whatís going in terms of transcoder choices
    This should not be the problem as that squeezelite version has all codec libraries included in the binary.
    Ralphy

    1-Touch, 5-Classics, 3-Booms, 1-UE Radio
    Squeezebox client builds donations always appreciated.

  7. #287
    Junior Member
    Join Date
    Jul 2017
    Posts
    9

    Can't install Spotty 4.2.0 on Raspberry Pi 3b

    Hi, I am still a big fan of your/Michael's Spotty Plugin. Unfortunately I am running into install issues with the latest version v4.2.0.

    I have just installed a completely fresh piCorePlayer version on a Raspberry Pi 3b (piCorePlayer v6.1.0 | www v0009 | linux 4.19.122-pcpCore_v7 | piCore v10.3pCP | Squeezelite v1.9.7-1256-pCP).

    Unfortunately I cannot install Putty v4.2.0, even after several updates / restarts / deleting LMS cache etc. It remains under "Updated plugins available".

    Server.log file tells me something like "digest does not match / Spotty will not be installed"

    Here is the accoding part of the log file. Can you help?

    Code:
    [20-07-05 16:58:02.5828] Slim::Networking::Discovery::getFakeVersion (129) 
    You're using a Radio with a buggy firmware not recognizing this version of Logitech Media Server.
    Please consider patching it. Until then we'll try to play nice and return a fake version number...
    
    See https://github.com/Logitech/slimserver/blob/public/8.0/README.md#sb-radio-and-logitech-media-server-8.
    [20-07-05 16:58:05.5681] Slim::Utils::SQLiteHelper::postConnect (377) Optimizing DB because of missing or empty sqlite_stat1 table
    [20-07-05 16:58:05.9805] Slim::Schema::forceCommit (2157) Warning: Trying to commit transactions before DB is initialized!
    [20-07-05 16:58:17.6580] Slim::Utils::Firmware::downloadAsyncError (580) Warning: Firmware: Failed to download http://update.slimdevices.com/update/firmware/8.0.0/baby.version (Error on HTTP socket: ), will try again in 10 minutes.
    [20-07-05 16:59:03.6209] Slim::Utils::PluginDownloader::_installDownload (210) digest does not match /usr/local/slimserver/Cache/DownloadedPlugins/Spotty.zip - Spotty will not be installed: expected 7f33e32628662e6d2d5fc8818b240e02b4d04d21, got 453da52b1a44e3f9c9600ab95c84c0d35ef546b4
    In addtion here's the LMS status:

    Code:
    Logitech Media Server Version: 8.0.0 - 1593857083 @ Sat Jul 4 12:25:00 CEST 2020
    Hostname: piCorePlayer
    Server IP Address: xxx
    Server HTTP Port Number: 9000
    Operating system: piCore - EN - utf8
    Platform Architecture: armv8l-linux
    Perl Version: 5.28.2 - arm-linux-gnueabihf-thread-multi-64int
    Audio::Scan: 1.02
    IO::Socket::SSL: 2.066
    Database Version: DBD::SQLite 1.58 (sqlite 3.22.0)
    Total Players Recognized: 4
    By the way: I have the same issue when I try to update Spotty on my old piCorePlayer version from Spotty v2.8.4 to v4.2.0 (Logitech Media Server Version: 7.9.2, piCorePlayer v4.1.2 | linux 4.14.81-pcpCore_v7 | piCore v9.2pCP | Squeezelite v1.9.6-1198-pCP, running on the same Raspberry).
    Last edited by domibox; 2020-07-05 at 08:24.

  8. #288
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,460

    [Announce] Spotty 4.0 - integrate locallibrary with your Spotify collection (LMS 8+)

    > Unfortunately I cannot install Putty 4.2.0, even after several updates /
    > restarts / deleting LMS cache etc.


    I guess you're talkinga bout Spotty, not Putty :-)

    > Server.log file tells me something like "digest does not match / Spotty
    > will not be installed"


    You don't happen to be living in Germany, using a cable connection?

    --

    Michael

  9. #289
    Senior Member
    Join Date
    Feb 2008
    Location
    UK
    Posts
    109
    Michael any luck ?


    Quote Originally Posted by Blue Fishey View Post
    hi mate using LMS and Squeezelite-X client

    I see the below alot

    Code:
    [20-07-02 12:58:57.3065] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmoís Radio 2
    [20-07-02 12:59:57.4701] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmoís Radio 2
    [20-07-02 13:00:57.3185] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmoís Radio 2
    
    [20-07-03 09:43:56.2789] Slim::Player::Pipeline::new (44) Error: Couldn't create listen socket for reader: Invalid argument
    [20-07-03 09:43:56.2792] Slim::Player::Song::open (600) Error: Invalid argument: While creating conversion pipeline for: spotify://track:5GorFaKkP2mLREQvhSblIg
    
    
    [20-07-03 10:53:12.7246] Plugins::Spotty::Connect::DaemonManager::checkAPIConnectPlayers (208) Connect daemon is running, but not connected - shutting down to force restart: 00:04:20:27:dd:dc Gizmo's Radio & Gizmoís Radio 2
    [20-07-03 10:54:12.7154] Plugins::Spotty::API::__ANON__ (1431) API call: me/player/devices
    [20-07-03 10:54:12.7157] Plugins::Spotty::API::__ANON__ (1435) error: 429 unknown
    [20-07-03 10:54:12.7165] Plugins::Spotty::API::error429 (1493) Access Rate limit exceeded for: me/player/devices; retry after 1 seconds.

  10. #290
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,460

    [Announce] Spotty 4.0 - integrate locallibrary with your Spotify collection (LMS 8+)

    > Michael any luck ?

    Please see my previous response: I need more information.

    --

    Michael

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •